# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.CalculationArgument

Packages that use CalculationArgument
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.

## Uses of CalculationArgument in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CalculationArgument
Modifier and Type
Method
Description
`static CalculationArgument`
StructureFactory.`createCalculationArgument()`
Creates a new calculation argument structure.
Methods in org.eclipse.birt.report.model.api with parameters of type CalculationArgument
Modifier and Type
Method
Description
`CalculationArgumentHandle`
ComputedColumnHandle.`addCalculationArgument(CalculationArgument argument)`
Adds a calculation argument to list.
`void`
ComputedColumnHandle.`removeCalculationArgument(CalculationArgument argument)`
Removes a calculation argument from list.

## Uses of CalculationArgument in org.eclipse.birt.report.model.api.elements.structures

Methods in org.eclipse.birt.report.model.api.elements.structures with parameters of type CalculationArgument
Modifier and Type
Method
Description
`void`
ComputedColumn.`addCalculationArgument(CalculationArgument argument)`
Adds a calculation argument to list.
`void`
ComputedColumn.`removeCalculationArgument(CalculationArgument argument)`
Removes a calculation argument from list.